Get the scenes with the tasks of each scene. Filter with project_id or episode_id. Use episode_id=all to get all the episodes. A client gets the tasks without the studio fields. If you are not an administrator, you must give project_id. A vendor gets only the scenes and the tasks that are assigned to the vendor.
GET
/data/scenes/with-tasks
curl
curl -X GET "http://api.example.com/data/scenes/with-tasks?project_id=a24a6ea4-ce75-4665-a070-57453082c25" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/scenes/with-tasks"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {
"project_id": "a24a6ea4-ce75-4665-a070-57453082c25"
}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "SC001",
"project_id": "b24a6ea4-ce75-4665-a070-57453082c250",
"tasks": [
{
"id": "c24a6ea4-ce75-4665-a070-57453082c250",
"name": "Layout"
}
]
}
]